#! /bin/sh

set -e

RTVER=4
RT=request-tracker${RTVER}

if [ -f /usr/share/debconf/confmodule ]; then
		. /usr/share/debconf/confmodule
fi
if [ -f /usr/share/dbconfig-common/dpkg/postrm ]; then
		. /usr/share/dbconfig-common/dpkg/postrm 
		dbc_go ${RT} $@
fi

#DEBHELPER#

# /var/cache is where we keep cached data
# Also remove log files for tidiness.

case "$1" in
	"purge") rm -rf \
		/var/cache/${RT}/ \
		/var/log/${RT}/
        rm -f \
		/etc/${RT}/RT_SiteConfig.pm \
		/etc/${RT}/RT_SiteConfig.pm.ucf-* \
		/etc/${RT}/RT_SiteConfig.d/50-debconf.pm \
		/etc/${RT}/RT_SiteConfig.d/50-debconf.pm.ucf-* \
		/etc/${RT}/RT_SiteConfig.d/50-debconf.ucf-* \
		/etc/${RT}/RT_SiteConfig.d/51-dbconfig-common.pm \
		/etc/${RT}/RT_SiteConfig.d/51-dbconfig-common.pm.ucf-* \
		/etc/${RT}/RT_SiteConfig.d/51-dbconfig-common.ucf-* \
		/etc/cron.d/request-tracker4
	if which ucf >/dev/null 2>&1
	then
        # managed by the postinst script
		ucf --purge /etc/${RT}/RT_SiteConfig.d/50-debconf.pm
        # managed by dbconfig-generate-include
		ucf --purge /etc/${RT}/RT_SiteConfig.d/51-dbconfig-common.pm
		ucf --purge /etc/${RT}/RT_SiteConfig.pm
		ucf --purge /etc/cron.d/request-tracker4
	fi
    # clean up the ucf registry too
    if which ucfr >/dev/null 2>&1
    then
        ucfr --purge ${RT} /etc/${RT}/RT_SiteConfig.d/50-debconf.pm
        ucfr --purge ${RT} /etc/${RT}/RT_SiteConfig.d/51-dbconfig-common.pm
        ucfr --purge ${RT} /etc/${RT}/RT_SiteConfig.pm
        ucfr --purge ${RT} /etc/cron.d/request-tracker4
    fi
	;;
esac
